| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryHomeDnRequest Class Reference
Home Dn

Query Home DN request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | InterfaceWsdl
| Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level. More...
enum unsp__SortType | SortType
| Sort Type. More...
enum unsp__SortOrder | SortDirection
| Standard sorting enumeration. More...
xsd__string | OfficeCodePrefix
| Substring (or full string) identifying one or a set of office codes. More...
xsd__string | StartCode
| Digit string. More...
xsd__string | EndCode
| The last Home DN to retrieve is identified by the EndCode. More...
xsd__string | DestinationName
| If provided, further restricts the search to home DNs with that specific destination. More...
enum unsp__DestinationType | DestinationType
| If provided, restricts the search to home DNs with that type. More...
enum unsp__DnFilter | Filter
| Condition that must hold for retrieved home DNs. More...
xsd__string | BgName
| If provided, restricts the search to home DNs to the specific Business Group. More...

## Detailed Description

Query Home DN request.

Used by unsp__queryHomeDn()

## Member Data Documentation

## ◆ BgName

xsd__string unsp__QueryHomeDnRequest::BgName

If provided, restricts the search to home DNs to the specific Business Group.

A string containing the wildcard character (%) can also be the input.
required: false

See also
  unsp__BGName

## ◆ DestinationName

xsd__string unsp__QueryHomeDnRequest::DestinationName

If provided, further restricts the search to home DNs with that specific destination.

required: false

See also
  unsp__DestName

## ◆ DestinationType

enum unsp__DestinationType unsp__QueryHomeDnRequest::DestinationType

If provided, restricts the search to home DNs with that type.

required: false
default value[range]: DtIgnored

## ◆ EndCode

xsd__string unsp__QueryHomeDnRequest::EndCode

The last Home DN to retrieve is identified by the EndCode.

It must refer to an existing HomeDN and is used in combination with StartCode to retrieve a range of HomeDns. It does not support wildcarding sequence.
required: false
default value[range]: NA [1..14]

## ◆ Filter

enum unsp__DnFilter unsp__QueryHomeDnRequest::Filter

Condition that must hold for retrieved home DNs.

Used for filtering office codes retrieved in Query.
required: false
default value[range]: DnAll

## ◆ InterfaceWsdl

xsd__string unsp__QueryHomeDnRequest::InterfaceWsdl

Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level.

required: false

## ◆ OfficeCodePrefix

xsd__string unsp__QueryHomeDnRequest::OfficeCodePrefix

Substring (or full string) identifying one or a set of office codes.

Supports wildcarding (%).
required: false
default value[range]: [1..15]

## ◆ OperatorId

xsd__string unsp__QueryHomeDnRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryHomeDnRequest::Paging

Standard paging structure.

## ◆ SortDirection

enum unsp__SortOrder unsp__QueryHomeDnRequest::SortDirection

Standard sorting enumeration.

required: false

## ◆ SortType

enum unsp__SortType unsp__QueryHomeDnRequest::SortType

Sort Type.

required: false
default value[range]: NA

## ◆ Specific

xsd__boolean unsp__QueryHomeDnRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

## ◆ StartCode

xsd__string unsp__QueryHomeDnRequest::StartCode

Digit string.

The first HomeDN to be retrieved. This field supports wildcarding when a specific OfficeCode Prefix is given.
required: false
default value[range]: NA [1..14]

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h